Bug 617208 - printers are not found after system boot
printers are not found after system boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 712430
  Show dependency treegraph
 
Reported: 2010-07-22 09:42 EDT by Jiri Pirko
Modified: 2015-05-04 21:20 EDT (History)
5 users (show)

See Also:
Fixed In Version: cups-1.4.6-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 712430 (view as bug list)
Environment:
Last Closed: 2011-06-01 09:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2010-07-22 09:42:31 EDT
Description of problem:

When I boot-up the system and I enter gnome printing dialog, I do not see any of network printers. I must do "sudo service cups stop; sudo service cups start" and then printers are there and all works just fine. This worked just fine in F12. I had the same problem in F10 or F11 (not sure).

I have only "BrowsePoll ourcupserver:631" line added into default /etc/cups/cupsd.conf
Comment 1 Jiri Popelka 2010-07-22 11:14:03 EDT
Change the LogLevel in /etc/cups/cupsd.conf to debug
and next time you boot-up please look into /var/log/cups/error_log
if you can find some useful info.
Comment 2 Jiri Moskovcak 2011-01-10 09:04:18 EST
E [10/Jan/2011:14:54:11 +0100] [cups-polld cups.brq.redhat.com:631] Unable to connect to cups.brq.redhat.com on port 631: Host name lookup failure

My wild guess here is that cupsd starts before network parameters are set and doesn't get the new settings when NM configures the network. Adding res_init() where cupsd tries to connect might help. Or implement a support for NetworkManager ;)

btw, I use: cups-1.4.6-1.fc14.x86_64
Comment 3 Tim Waugh 2011-01-10 09:46:42 EST
*sigh* We already call res_init() in all the documented situations where we ought to, and in some that are not documented especially for glibc.  Maybe there's another undocumented situation now. :-(
Comment 4 Jiri Moskovcak 2011-01-10 09:55:56 EST
It's really sad that glibc can't handle this on it's own, but I'm no glibc specialist, so there might be a reason... So, do you need some additional info?
Comment 5 Tim Waugh 2011-01-10 10:31:53 EST
No need, I've managed to reproduce it here.  It looks like getaddrinfo() now returns EAI_NONAME instead of EAI_NODATA in this situation.
Comment 6 Tim Waugh 2011-01-10 11:31:44 EST
Should be fixed in cups-1.4.6-2.fc13.
Comment 9 Jiri Moskovcak 2011-01-11 07:35:05 EST
cups-1.4.6-2.fc13.x86_64 works fine, thx!
Comment 10 Bug Zapper 2011-06-01 09:12:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.